Subject: Re: Bug#729844: live-build: UEFI boot support

From: Raphael Hertzog <[email-masked]>
Date: Thu, 28 Nov 2013 20:54:48 +0100

Hello,

On Mon, 18 Nov 2013, Daniel Baumann wrote:
> it needs finalized debianization of syslinux 6 first, which will have to
> go through NEW (again; after passing NEW for years it was now rejected
> because of its embedded gpxe that has not/never been in
> debian/copyright. as that is a major task to go through >>800 files
> manually, i have no ETA for this).

Please find attached a patch documenting the missing licenses. I discussed
with Paul Tagliamonte who rejected your syslinux upload and he explained
that nowadays he would accept the package but file an RC bug to get the
copyright file fixed.

I believe that with this patch, your package should be safe to go through
NEW anyway. Let's go ahead and make some progress.

(BTW the switch to syslinux 6 should happen sooner rather than later, i.e.
well before the jessie freeze, let's not redo the same mistake than last
time.)

Cheers,

PS: This mail concerns syslinux and not live-build obviously, but since
the discussion started here, I send it here. If you can't merge it
quickly, and would prefer a dedicated bug against syslinux, let me know.
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/
From 37d5fe9b346f6d060c4ba576ef578b07a62edf3e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Rapha=C3=ABl=20Hertzog?= <[email-masked]>
Date: Thu, 28 Nov 2013 16:55:54 +0100
Subject: [PATCH] Update debian/copyright to mention all missing licenses.

---
 debian/copyright | 237 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 237 insertions(+)

diff --git a/debian/copyright b/debian/copyright
index ef440eb..d441830 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -6,6 +6,243 @@ Source: http://www.kernel.org/pub/linux/utils/boot/syslinux/
 Files: *
 Copyright: 1994-2013 H. Peter Anvin <[email-masked]>
 License: GPL-2+
+Comment:
+ Some of the files distributed under the GPL as part of Syslinux
+ were actually originally licensed under other license.
+ .
+ Some of the files are dual licensed with the GPL-2+ and the MPL. For the
+ purpose of this package, the GPL-2+ license has been retained.
+ .
+ Some of the files are licensed under the LGPL-2+ but that license allows
+ explicit GPL-2+ relicensing, we assume that they are used under the GPL-2+
+ license given that they are not used to build a shared library.
+ .
+ Some of the files were published under much less restrictive (non-copyleft)
+ licenses that do still require us to copy the copyright notices and the
+ original license text. Let's do that:
+ .
+ Some files were published under a MIT/X11 license:
+ .
+   Copyright 1999-2013 H. Peter Anvin
+   Copyright 2004, 2007 IBM Corporation
+   Copyright 2007 Fen Systems Ltd.
+   Copyright 2009-2012 Intel Corporation
+   Copyright 2009-2011 Erwan Velu
+   Copyright 2010 P J P <[email-masked]>
+   Copyright 2010-2012 Michal Soltys
+   Copyright 2010 Shao Miller
+   Copyright 2011 Timothy J Gleason
+   Copyright 2012 Paulo Alcantara
+ .
+   Permission is hereby granted, free of charge, to any person
+   obtaining a copy of this software and associated documentation
+   files (the "Software"), to deal in the Software without
+   restriction, including without limitation the rights to use,
+   copy, modify, merge, publish, distribute, sublicense, and/or
+   sell copies of the Software, and to permit persons to whom
+   the Software is furnished to do so, subject to the following
+   conditions:
+ .
+   The above copyright notice and this permission notice shall
+   be included in all copies or substantial portions of the Software.
+ .
+   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
+   OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+   NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
+   HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
+   OTHER DEALINGS IN THE SOFTWARE.
+ .
+ Some files were published under a BSD-2-clause license:
+ .
+   Copyright 2009 Fen Systems Ltd
+   Copyright 2003 Poul-Henning Kamp
+   Copyright 1996-2009 The NASM Authors
+ .
+   Redistribution and use in source and binary forms, with or without
+   modification, are permitted provided that the following conditions
+   are met:
+ .
+     Redistributions of source code must retain the above copyright
+     notice, this list of conditions and the following disclaimer.
+ .
+     Redistributions in binary form must reproduce the above copyright
+     notice, this list of conditions and the following disclaimer in
+     the documentation and/or other materials provided with the
+     distribution.
+ .
+   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+   "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
+   FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+   COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
+   INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+   SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+   HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+   STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
+   OF THE POSSIBILITY OF SUCH DAMAGE.
+ .
+ Some files were published under a BSD-3-clause license:
+ .
+   Copyright 1989 Carnegie Mellon University
+   Copyright 1991 Gregory M. Christy
+   Copyright 1993 Herb Peyerl
+   Copyright 1993 The Australian National University
+   Copyright 1994 David Burren
+   Copyright 1995 Eric Rosenquist, Strata Software Limited
+   Copyright 1997-1998 Global Election Systems Inc
+   Copyright 2001-2004 Swedish Institute of Computer Science
+   Copyright 2001-2004 Leon Woestenberg
+   Copyright 2001-2006 Axon Digital Design B.V.
+   Copyright 2002 Michael Ringgaard
+   Copyright 2002 CITEL Technologies Ltd
+   Copyright 2002-2003 Adam Dunkels
+   Copyright 2003 Marc Boucher, Services Informatiques (MBSI)
+   Copyright 2006 Luc Saillard
+   Copyright 2006-2008 H. Peter Anvin
+   Copyright 2007 Dominik Spies
+ .
+   Redistribution and use in source and binary forms, with or without
+   modification, are permitted provided that the following conditions
+   are met:
+ .
+   1. Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+   2. Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in the
+      documentation and/or other materials provided with the distribution.
+   3. Neither the name of the author nor the names of other contributors
+      may be used to endorse or promote products derived from this software
+      without specific prior written permission.
+ .
+   THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+   ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+   FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+   DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+   OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+   HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+   LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+   OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+   SUCH DAMAGE.
+ .
+ Some files were published under a BSD-4-clause license:
+ .
+   Copyright 2002 The NetBSD Foundation, Inc.
+   Copyright 2006 Marc Boucher, Services Informatiques (MBSI)
+ .
+   Redistribution and use in source and binary forms, with or without
+   modification, are permitted provided that the following conditions
+   are met:
+ .
+   1. Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+   2. Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in the
+      documentation and/or other materials provided with the distribution.
+   3. All advertising materials mentioning features or use of this software
+      must display the following acknowledgement:
+          This product includes software developed by the NetBSD
+          Foundation, Inc. and its contributors.
+   4. Neither the name of The NetBSD Foundation nor the names of its
+      contributors may be used to endorse or promote products derived
+      from this software without specific prior written permission.
+ .
+   THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+   ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+   TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+   PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+   BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+   SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+   INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+   CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+   POSSIBILITY OF SUCH DAMAGE.
+ .
+ Fortunately, that GPL-incompatible license only applies to two files
+ (core/lwip/src/netif/ppp/ppp_oe.c and core/lwip/src/include/netif/ppp_oe.h)
+ whose code is not used in the resulting library due to the configuration
+ in effect (see PPPOE_SUPPORT set to 0 in core/lwip/src/include/lwip/opt.h).
+ .
+ Some files were published under a MIT/ISC license:
+ .
+   Copyright 2004-2008 Reyk Floeter
+   Copyright 2006-2009 Nick Kossifidis
+   Copyright 2007-2008 Jiri Slaby
+   Copyright 2007-2008 Pavel Roskin
+   Copyright 2007-2008 Matthew W. S. Bell
+   Copyright 2007-2008 Luis Rodriguez
+   Copyright 2008-2009 Felix Fietkau
+ .
+   Permission to use, copy, modify, and distribute this software for any
+   purpose with or without fee is hereby granted, provided that the above
+   copyright notice and this permission notice appear in all copies.
+ .
+   THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+   WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+   MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+   ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+   WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+   ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+   OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ .
+ Some files were published under the ZLIB license:
+ .
+   Copyright 1995-2010 Jean-loup Gailly and Mark Adler
+ .
+   This software is provided 'as-is', without any express or implied
+   warranty.  In no event will the authors be held liable for any damages
+   arising from the use of this software.
+ .
+   Permission is granted to anyone to use this software for any purpose,
+   including commercial applications, and to alter it and redistribute it
+   freely, subject to the following restrictions:
+ .
+   1. The origin of this software must not be misrepresented; you must not
+      claim that you wrote the original software. If you use this software
+      in a product, an acknowledgment in the product documentation would be
+      appreciated but is not required.
+   2. Altered source versions must be plainly marked as such, and must not be
+      misrepresented as being the original software.
+   3. This notice may not be removed or altered from any source distribution.
+ .
+ Some files were published under the libpng license:
+ .
+   The PNG Reference Library is supplied "AS IS".  The Contributing Authors
+   and Group 42, Inc. disclaim all warranties, expressed or implied,
+   including, without limitation, the warranties of merchantability and of
+   fitness for any purpose.  The Contributing Authors and Group 42, Inc.
+   assume no liability for direct, indirect, incidental, special, exemplary,
+   or consequential damages, which may result from the use of the PNG
+   Reference Library, even if advised of the possibility of such damage.
+ .
+   Permission is hereby granted to use, copy, modify, and distribute this
+   source code, or portions hereof, for any purpose, without fee, subject
+   to the following restrictions:
+ .
+   1. The origin of this source code must not be misrepresented.
+ .
+   2. Altered versions must be plainly marked as such and must not
+      be misrepresented as being the original source.
+ .
+   3. This Copyright notice may not be removed or altered from any
+      source or altered source distribution.
+ .
+   The Contributing Authors and Group 42, Inc. specifically permit, without
+   fee, and encourage the use of this source code as a component to
+   supporting the PNG file format in commercial products.  If you use this
+   source code in a product, acknowledgment is not required but would be
+   appreciated.
+ .
+ For the full list of contributing authors, and for the relevant copyright
+ notices, have a look at ./com32/lib/libpng/README and the files in
+ the same directory of the source package.
 
 Files: debian/*
 Copyright: 2006-2013 Daniel Baumann <[email-masked]>
-- 
1.8.4.3